diff -ruN apt-0.7.9.orig/debian/apt.manpages apt-0.7.9/debian/apt.manpages
--- apt-0.7.9.orig/debian/apt.manpages	2007-11-02 09:56:31.000000000 -0400
+++ apt-0.7.9/debian/apt.manpages	2007-11-02 09:56:44.000000000 -0400
@@ -3,6 +3,7 @@
 doc/apt-config.8
 doc/apt-get.8
 doc/apt-key.8
+doc/apt-mark.8
 doc/apt-secure.8
 doc/apt.8
 doc/apt.conf.5
diff -ruN apt-0.7.9.orig/doc/apt-mark.8 apt-0.7.9/doc/apt-mark.8
--- apt-0.7.9.orig/doc/apt-mark.8	1969-12-31 19:00:00.000000000 -0500
+++ apt-0.7.9/doc/apt-mark.8	2007-11-02 09:56:53.000000000 -0400
@@ -0,0 +1,82 @@
+.\"     Title: apt-mark
+.\"    Author: APT team
+.\" Generator: DocBook XSL Stylesheets v1.73.2 <http://docbook.sf.net/>
+.\"      Date: 2 November 2007
+.\"    Manual: 
+.\"    Source: Linux
+.\"
+.TH "APT\-MARK" "8" "2 November 2007" "Linux" ""
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+apt-mark - Utility to sort package index files
+.SH "SYNOPSIS"
+.HP 9
+\fBapt\-mark\fR [\fB\-hv\fR] [\fB\-f=\fR\fB\fIFILENAME\fR\fR] {[markauto] | [unmarkauto]} \fIpackage\fR...
+.SH "DESCRIPTION"
+.PP
+\fBapt\-mark\fR
+will change whether a package has been marked as being automatically installed\.
+.PP
+When you request that a package is installed, and as a result other packages are installed to satisfy its dependencies, the depedencies are marked as being automatically installed\. Once these automatically installed packages are no longer depended on by any manually installed packages, they will be removed\.
+.PP
+markauto
+.RS 4
+markauto
+is used to mark a package as being automatically installed, which will cause the package to be removed when no more manually installed packages depend on this package\.
+.RE
+.PP
+unmarkauto
+.RS 4
+unmarkauto
+is used to mark a package as being manually installed, which will prevent the package from being automatically removed if no other packages depend on it\.
+.RE
+.SH "OPTIONS"
+.PP
+\fB\-f=\fR\fB\fIFILENAME\fR\fR, \fB\-\-file=\fR\fB\fIFILENAME\fR\fR
+.RS 4
+Read/Write package stats from
+\fIFILENAME\fR
+instead of the default location, which is
+\fIextended_status\fR
+in the directory defined by the Configuration Item:
+Dir::State\.
+.RE
+.PP
+\fB\-h\fR, \fB\-\-help\fR
+.RS 4
+Show a short usage summary\.
+.RE
+.PP
+\fB\-v\fR, \fB\-\-version\fR
+.RS 4
+Show the program version\.
+.RE
+.SH "SEE ALSO"
+.PP
+\fBapt.conf\fR(5)
+.SH "DIAGNOSTICS"
+.PP
+\fBapt\-mark\fR
+returns zero on normal operation, non\-zero on error\.
+.SH "BUGS"
+.PP
+\fIAPT bug page\fR\&[1]\. If you wish to report a bug in APT, please see
+\fI/usr/share/doc/debian/bug\-reporting\.txt\fR
+or the
+\fBreportbug\fR(1)
+command\.
+.SH "AUTHOR"
+.PP
+\fBAPT team\fR
+.sp -1n
+.IP "" 4
+Author.
+.SH "NOTES"
+.IP " 1." 4
+APT bug page
+.RS 4
+\%http://bugs.debian.org/src:apt
+.RE
diff -ruN apt-0.7.9.orig/doc/apt-mark.8.xml apt-0.7.9/doc/apt-mark.8.xml
--- apt-0.7.9.orig/doc/apt-mark.8.xml	1969-12-31 19:00:00.000000000 -0500
+++ apt-0.7.9/doc/apt-mark.8.xml	2007-11-02 09:56:44.000000000 -0400
@@ -0,0 +1,114 @@
+<?xml version="1.0" encoding="utf-8" standalone="no"?>
+<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+  "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" [
+
+<!ENTITY % aptent SYSTEM "apt.ent">
+%aptent;
+
+]>
+
+<refentry>
+
+ <refentryinfo>
+   &apt-author.moconnor;
+   &apt-author.team;
+   &apt-email;
+   &apt-product;
+   <!-- The last update date -->
+   <date>2 November 2007</date>
+ </refentryinfo>
+ 
+ <refmeta>
+   <refentrytitle>apt-mark</refentrytitle>
+   <manvolnum>8</manvolnum>
+ </refmeta>
+ 
+ <!-- Man page title -->
+ <refnamediv>
+    <refname>apt-mark</refname>
+    <refpurpose>Utility to sort package index files</refpurpose>
+ </refnamediv>
+
+ <!-- Arguments -->
+ <refsynopsisdiv>
+   <cmdsynopsis>
+      <command>apt-mark</command>
+      <arg><option>-hv</option></arg>
+      <arg><option>-f=<replaceable>FILENAME</replaceable></option></arg>
+      <group choice="req"><arg>markauto</arg><arg>unmarkauto</arg></group>
+      <arg choice="plain" rep="repeat"><replaceable>package</replaceable></arg>
+   </cmdsynopsis>
+ </refsynopsisdiv>
+ 
+ <refsect1><title>Description</title>
+   <para><command>apt-mark</command> will change whether a package has
+   been marked as being automatically installed.
+   </para>
+   <para>
+     When you request that a package is installed, and as a result
+     other packages are installed to satisfy its dependencies, the
+     depedencies are marked as being automatically installed.  Once
+     these automatically installed packages are no longer depended on
+     by any manually installed packages, they will be removed.
+   </para>
+     <variablelist>
+       <varlistentry><term>markauto</term>
+	 <listitem><para><literal>markauto</literal> is used to mark a
+     package as being automatically installed, which will cause the
+     package to be removed when no more manually installed packages
+     depend on this package.
+       </para></listitem>
+       </varlistentry>
+
+       <varlistentry><term>unmarkauto</term>
+	 <listitem><para><literal>unmarkauto</literal> is used to mark a
+     package as being manually installed, which will prevent the
+     package from being automatically removed if no other packages
+     depend on it.
+       </para></listitem>
+       </varlistentry>
+     </variablelist>
+ </refsect1>
+ 
+ <refsect1><title>options</title>
+   
+   <variablelist>
+     <varlistentry><term><option>-f=<filename>FILENAME</filename></option></term><term><option>--file=<filename>FILENAME</filename></option></term>
+     <listitem><para>
+      
+     Read/Write package stats from <filename>FILENAME</filename>
+     instead of the default location, which
+     is <filename>extended_status</filename> in the directory defined
+     by the Configuration Item: <literal>Dir::State</literal>.</para></listitem>
+     </varlistentry>
+   
+     <varlistentry><term><option>-h</option></term>
+     <term><option>--help</option></term>
+     <listitem><para>Show a short usage summary.
+     </para>
+     </listitem>
+     </varlistentry>
+     
+     <varlistentry>
+      <term><option>-v</option></term>
+      <term><option>--version</option></term>
+      <listitem><para>Show the program version.
+     </para>
+     </listitem>
+     </varlistentry>
+
+     
+   </variablelist>
+ </refsect1>
+
+ <refsect1><title>See Also</title>
+   <para>&apt-conf;</para>
+ </refsect1>
+
+ <refsect1><title>Diagnostics</title>
+   <para><command>apt-mark</command> returns zero on normal operation, non-zero on error.</para>
+ </refsect1>
+
+ &manbugs;
+ 
+</refentry>
diff -ruN apt-0.7.9.orig/doc/makefile apt-0.7.9/doc/makefile
--- apt-0.7.9.orig/doc/makefile	2007-11-02 09:56:31.000000000 -0400
+++ apt-0.7.9/doc/makefile	2007-11-02 09:56:44.000000000 -0400
@@ -15,7 +15,7 @@
 SOURCE = apt-cache.8 apt-get.8 apt-cdrom.8 apt.conf.5 sources.list.5 \
          apt-config.8 apt_preferences.5  \
          apt-sortpkgs.1 apt-ftparchive.1 apt-extracttemplates.1 \
-	 apt-key.8 apt-secure.8
+	 apt-key.8 apt-secure.8 apt-mark.8
 INCLUDES = apt.ent	 
 include $(XML_MANPAGE_H)
 
